
%global meadversion 0.31.0
%global namedversion 0.31.0.redhat-00008
%global meadalpha .redhat_00008
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00008

%{?scl:%scl_package opentracing-java}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.31.0.redhat-00008

Name:		    %{?scl_prefix}opentracing-java
Summary:	    OpenTracing API for Java
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source102: opentracing-noop-0.31.0.redhat-00008.jar
Source103: parent-0.31.0.redhat-00008.pom
Source104: opentracing-api-0.31.0.redhat-00008-javadoc.jar
Source105: opentracing-noop-0.31.0.redhat-00008.pom
Source106: opentracing-mock-0.31.0.redhat-00008.pom
Source107: opentracing-mock-0.31.0.redhat-00008.jar
Source108: opentracing-mock-0.31.0.redhat-00008-javadoc.jar
Source109: opentracing-mock-0.31.0.redhat-00008-sources.jar
Source110: opentracing-util-0.31.0.redhat-00008-sources.jar
Source111: opentracing-noop-0.31.0.redhat-00008-sources.jar
Source112: opentracing-api-0.31.0.redhat-00008.pom
Source113: opentracing-noop-0.31.0.redhat-00008-javadoc.jar
Source114: opentracing-util-0.31.0.redhat-00008.jar
Source115: opentracing-util-0.31.0.redhat-00008-tests.jar
Source116: opentracing-util-0.31.0.redhat-00008.pom
Source117: opentracing-api-0.31.0.redhat-00008.jar
Source118: opentracing-api-0.31.0.redhat-00008-sources.jar
Source119: opentracing-util-0.31.0.redhat-00008-javadoc.jar
Source120: parent-0.31.0.redhat-00008-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/opentracing/opentracing-java
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-java
Group:          Development/Java


%description javadoc
Javadoc for opentracing-java
%endif

%package -n %{?scl_prefix}opentracing-java-api
Summary:        OpenTracing Java API
Group:          Development/Java

%description -n %{?scl_prefix}opentracing-java-api
%{summary}.

%package -n %{?scl_prefix}opentracing-java-mock
Summary:        OpenTracing Mock Tracer
Group:          Development/Java

%description -n %{?scl_prefix}opentracing-java-mock
%{summary}.

%package -n %{?scl_prefix}opentracing-java-noop
Summary:        OpenTracing NoOp
Group:          Development/Java

%description -n %{?scl_prefix}opentracing-java-noop
%{summary}.

%package -n %{?scl_prefix}opentracing-java-util
Summary:        OpenTracing utilities
Group:          Development/Java

%description -n %{?scl_prefix}opentracing-java-util
%{summary}.

%prep
%if 0
%setup -q -n opentracing-java -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/opentracing-api-%{namedversion}.jar %{buildroot}%{_javadir}/opentracing-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/opentracing-mock-%{namedversion}.jar %{buildroot}%{_javadir}/opentracing-mock-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/opentracing-noop-%{namedversion}.jar %{buildroot}%{_javadir}/opentracing-noop-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/opentracing-util-%{namedversion}.jar %{buildroot}%{_javadir}/opentracing-util-%{namedversion}.jar


%{__cp} -p %{_sourcedir}/opentracing-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opentracing-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/opentracing-mock-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opentracing-mock-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/opentracing-noop-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opentracing-noop-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/opentracing-util-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opentracing-util-%{namedversion}-sources.jar

%if %with javadoc
%{__cp} -p %{_sourcedir}/opentracing-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opentracing-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/opentracing-mock-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opentracing-mock-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/opentracing-noop-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opentracing-noop-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/opentracing-util-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opentracing-util-%{namedversion}-javadoc.jar
%endif


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/opentracing-java-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-java-api-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s opentracing-java-api-%{namedversion} opentracing-java-api)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}opentracing-java-api
%defattr(0644,root,root,0755)
%{_javadir}/opentracing-api-%{namedversion}.jar
%{_javadir}/opentracing-api.jar
%{_javadir}/opentracing-api-%{namedversion}-sources.jar
%{_javadir}/opentracing-api-sources.jar

%files -n %{?scl_prefix}opentracing-java-mock
%defattr(0644,root,root,0755)
%{_javadir}/opentracing-mock-%{namedversion}.jar
%{_javadir}/opentracing-mock.jar
%{_javadir}/opentracing-mock-%{namedversion}-sources.jar
%{_javadir}/opentracing-mock-sources.jar

%files -n %{?scl_prefix}opentracing-java-noop
%defattr(0644,root,root,0755)
%{_javadir}/opentracing-noop-%{namedversion}.jar
%{_javadir}/opentracing-noop.jar
%{_javadir}/opentracing-noop-%{namedversion}-sources.jar
%{_javadir}/opentracing-noop-sources.jar

%files -n %{?scl_prefix}opentracing-java-util
%defattr(0644,root,root,0755)
%{_javadir}/opentracing-util-%{namedversion}.jar
%{_javadir}/opentracing-util.jar
%{_javadir}/opentracing-util-%{namedversion}-sources.jar
%{_javadir}/opentracing-util-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-java-api
%{_javadocdir}/opentracing-java-api-%{namedversion}
%endif


%changelog
* Thu Sep 13 2018 Yong Yang <yyang@redhat.com> - 0.31.0-1.redhat_00008.1
- 0.31.0.redhat-00008

* Thu Sep 13 2018 Yong Yang <yyang@redhat.com> - 0.31.0
- Init build
